%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CGI.pm) perl(CGI/FormBuilder.pm) perl(Class/DBI.pm) perl(Class/DBI/AbstractSearch.pm) perl(Class/DBI/AsForm.pm) perl(Class/DBI/Pager.pm) perl(Class/DBI/Plugin.pm) perl(Class/DBI/Plugin/AbstractCount.pm) perl(Class/DBI/Plugin/DeepAbstractSearch.pm) perl(Class/DBI/Plugin/Pager.pm) perl(Class/DBI/Plugin/RetrieveAll.pm) perl(Config/Magic.pm) perl(DBD/SQLite2.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/FillInForm.pm) perl(HTML/Strip.pm) perl(HTML/Table.pm) perl(Test/More.pm) perl(Tie/Hash/Indexed.pm) perl(URI/Escape.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.2
%define module_name Class-DBI-Plugin-FilterOnClick
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: Generate browsable and searchable HTML Tables using FilterOnClick in conjunction with Class::DBI
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AA/AARONJJ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The intention of this module is to simplify the creation of browsable and
searchable HTML tables without having to write the HTML or SQL, either in your 
script or in templates.

It is intended for use inside of other frameworks such as Embperl,
Apache::ASP or even CGI.  It does not aspire to be its own framework.
If you are looking for a frameworks which allow using Class::DBI I suggest you
look into the Maypole or the Catalyst module.

See FilterOnClick below for more on the purpose of this module.

Tables are created using HTML::Table. The use of HTML::Table was selected
because it allows for several advanced sorting techniques that can provide for
easy manipulation of the data outside of the SQL statement.  This is very useful
in scenarios where you want to provide/test a sort routine and not write
SQL for it.  The more I use this utility the less likely it seems that one would
need to leverage this, but it is an option if you want to explore it.

Feedback on this module, its interface, usage, documentation etc. is
welcome.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- initial import by package builder

